2

I have the following build error:

meson.build:49:0: ERROR:  Dependency "gstreamer-pbutils-1.0" not found

I want to meet needed dependencies. the previous one was:

meson.build:48:0: ERROR:  Dependency "gstreamer-1.0" not found

but that was fixed with gstreamer's own webpage and instructions.

however I cannot find any way to install gstreamer-pbutils-1.0.

The gstreamer page on pbutils is not very helpful. It seems they assume pbutils utils would ship with the instructions they gave.

I am on Ubuntu 19.04.

4

Visit https://packages.ubuntu.com next time first.

For current query see two relevant search results for your question - gstreamer-pbutils-1.0.pc and for gstreamer-1.0.pc.

So you need to install two development packages with needed pkg-config files:

sudo apt-get install libgstreamer-plugins-base1.0-dev libgstreamer1.0-dev

If you want to build GStreamer by yourself you may be also interested with installing full list of its dependencies with:

sudo apt-get build-dep gstreamer1.0

and then do what you want to do.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.